# eric3.Graphics.PixmapDiagram

Module implementing a dialog showing a pixmap.

### Classes

PixmapDiagram | Class implementing a dialog showing a pixmap.

### Functions

None

## PixmapDiagram

Class implementing a dialog showing a pixmap.

### Derived from

QDialog

### Methods

PixmapDiagram | Constructor
__tr | Private method to translate the display strings.
getDiagramName | Method to retrieve a name for the diagram.
getStatus | Method to retrieve the status of the canvas.
languageChange | Private method used to show the localized strings for this dialog.

### PixmapDiagram (Constructor)

PixmapDiagram(pixmap, parent = None, name = None, modal = 0, fl = 0)

Constructor

pixmap
  filename of a graphics file to show (QString or string)
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)
modal
  flag indicating a modal dialog (boolean)
flags
  the window flags to be passed to the view widget

### PixmapDiagram.__tr

__tr(s, c = None)

Private method to translate the display strings.

### PixmapDiagram.getDiagramName

getDiagramName()

Method to retrieve a name for the diagram.

Returns:
  name for the diagram

### PixmapDiagram.getStatus

getStatus()

Method to retrieve the status of the canvas.

Returns:
  flag indicating a successful pixmap loading (boolean)

### PixmapDiagram.languageChange

languageChange()

Private method used to show the localized strings for this dialog.

Up